Bug 9024 - time configuration is inconsistent
time configuration is inconsistent
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-01-31 14:19 EST by Warren Young
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-03 15:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Young 2000-01-31 14:19:00 EST
There are currently three user-level tools in Red Hat Linux 6.1 that
configure aspects of the system time: linuxconf, timeconfig, and timetool.

1. Linuxconf can change whether the system uses GMT in the hardware clock
and can change the time/date.  (As of 1.16r10.)  It apparently cannot
change the time zone.  (There's a drop-down for selecting a time zone, but
selecting a new time zone from this drop-down doesn't appear to have any
effect.  The drop-down also doesn't show the time zone selected during
installation or via timeconfig.)

2. timeconfig _can_ change the time zone, and times used by linuxconf will
obey it.  timeconfig can also change the GMT-in-hardware setting linuxconf
offers access to.

3. timetool, which is still included though it's supposed to be obsoleted
by Linuxconf, cannot deal with GMT-in-hardware.  It will query the _system_
time, but store changes in both the system clock _and_ the hardware clock.
Thus timetool breaks GMT-in-hardware.

The simplest fix is to update Linuxconf to be able to do everything, and
then kill off timetool.  Yet, timetool still has one advantage: it's a
nicer-looking tool than Linuxconf, and it's easier to see.  We have an
application where the only screen on a system might be a TV (via a
VGA-to-NTSC converter), where resolution is really bad -- timetool works in
this environment, linuxconf doesn't.

Ideally, timetool should obey GMT-in-hardware.  If that's not where Red Hat
wants to go, it should drop the tool, at least from the GNOME menus.
Comment 1 Nalin Dahyabhai 2000-02-03 15:56:59 EST
Please check if the latest linuxconf-1.17r2-2 from Raw Hide fixes the problem
with Linuxconf.  The bug in timetool should be fixed in 2.7.3, which will be
in the next Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.